Bug 149800 - system-config-network hangs and exits with error on save
system-config-network hangs and exits with error on save
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2005-02-27 01:07 EST by spetiam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 10:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description spetiam 2005-02-27 01:07:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
If I run system-config-network, make a change and attempt to save the
changes, the gui hangs and exits with the attached error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start system-config-network in any manner
2. Make any change
3. Save changes (in any manner)

Actual Results:  changes are not saved. system-config-network hangs
and then exits with the attached error.

Expected Results:  saved changes, no hang.

Additional info:

Component: system-config-network
Version: 1.3.22
Summary: TB6b0acea6 sre.py:230:_compile:error: multiple repeat
Traceback (most recent call last):
line 794, in on_applyButton_clicked
line 371, in save
line 403, in saveProfiles
line 376, in save
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 574, in
    while self.findnextline('^\S*' + '[' + \
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 199, in
    elif re.search(regexp, self.lines[self.line]):
  File "/usr/lib/python2.3/sre.py", line 137, in search
    return _compile(pattern, flags).search(string)
  File "/usr/lib/python2.3/sre.py", line 230, in _compile
    raise error, v # invalid expression
error: multiple repeat

Local variables in innermost frame:
cachekey: (<type 'str'>, '^\\S*[\t ]+*.flingstone.com', 0)
pattern: ^\S*[	 ]+*.flingstone.com
p: None
flags: 0
key: ('^\\S*[\t ]+*.flingstone.com', 0)
v: multiple repeat
Comment 1 Harald Hoyer 2005-02-28 05:21:16 EST
please correct your /etc/hosts or attach it for inspection, please!
Comment 2 Harald Hoyer 2005-09-16 10:08:12 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.